
/******************************************************************************
* MODULE     : matrix_glue.cpp
* DESCRIPTION: Standard glue for matrices
* COPYRIGHT  : (C) 2006  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "matrix_glue.hpp"
#include "rational_meta.hpp"
namespace mmx {

void
define_standard_matrix () {
  define_matrix<always,generic> ();
  define_matrix<always,rational> ();
  define_caster<always,matrix<generic>,matrix<rational> > (PENALTY_FALL_BACK);
}

} // namespace mmx
