
/******************************************************************************
* MODULE     : vector_format_test.cc
* DESCRIPTION: Test formatted vector data
* COPYRIGHT  : (C) 2007  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "vector_format.hpp"
#include "atomic_format.hpp"
using namespace mmx;
//using namespace bbx;

int
main () {
  format f_int= atomic_format<int> ();
  format f_vector= vector_format (f_int, 10);
  data v= (data) mmx_malloc (f_vector->size);
  init (v, 123, f_vector);
  cout << "v\t= " << flatten (v, f_vector) << "\n";
  clear (v, f_vector);
  mmx_free (v, f_vector->size);
  return 0;
}
