
/******************************************************************************
* MODULE     : holonomic_glue.cpp
* DESCRIPTION: Standard glue for holonomic functions
* COPYRIGHT  : (C) 2007  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "holonomic_glue.hpp"
#include "rational.hpp"
namespace mmx {

void
define_holonomic () {
  define_holonomic<always,generic> ();
}

} // namespace mmx
