
/******************************************************************************
* MODULE     : array_test.cc
* DESCRIPTION: Test arrays
* COPYRIGHT  : (C) 2003  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "array.hpp"
using namespace mmx;

int
main () {
  cout << "Array test\n";
  array<int> x (1, 2, 3);
  array<int> y (seq (1, 5));
  cout << "x\t\t= " << x << "\n";
  cout << "y\t\t= " << y << "\n";
  cout << "x*y\t\t= " << (x*y) << "\n";
  cout << "cons(1,x)\t= " << cons (1, x) << "\n";
  cout << "car(x)\t\t= " << car (x) << "\n";
  cout << "cdr(x)\t\t= " << cdr (x) << "\n";
  cout << "x=y\t\t= " << (x==y) << "\n";
  cout << "x!=y\t\t= " << (x!=y) << "\n";
  cout << "x<<x\t\t= " << (x<<x) << "\n";
  cout << "x...\t\t= " << iterate (x) << "\n";
  return 0;
}
