
/******************************************************************************
* MODULE     : list_test.cc
* DESCRIPTION: Test lists
* COPYRIGHT  : (C) 2003  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "list.hpp"
using namespace mmx;

int
main () {
  list<int> x (1, 2, 3);
  list<int> y (seq (1, 5));
  cout << "x\t= " << x << "\n";
  cout << "y\t= " << y << "\n";
  cout << "x*y\t= " << (x*y) << "\n";
  cout << "x=y\t= " << (x==y) << "\n";
  cout << "x!=y\t= " << (x!=y) << "\n";
  cout << "x...\t= " << iterate (x) << "\n";
  return 0;
}
