
/******************************************************************************
* MODULE     : format_test.cc
* DESCRIPTION: Test formatted data
* COPYRIGHT  : (C) 2007  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "atomic_format.hpp"
#include "table.hpp"
using namespace mmx;
//using namespace bbx;
#define Table table<int,int>

int
main () {
  format f_int= atomic_format<int> ();
  data x= (data) mmx_malloc (f_int->size);
  init (x, 123, f_int);
  cout << "x\t= " << flatten (x, f_int) << "\n";
  clear (x, f_int);
  mmx_free (x, f_int->size);

  format f_table= atomic_format<Table > ();
  data t= (data) mmx_malloc (f_table->size);
  init (t, 123, f_table);
  cout << "t\t= " << flatten (t, f_table) << "\n";
  clear (t, f_table);
  mmx_free (t, f_table->size);

  return 0;
}
