
/******************************************************************************
* MODULE     : symbolix_glue.cpp
* DESCRIPTION: symbolix glue library
* COPYRIGHT  : (C) 2007  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "symbolix_glue.hpp"
#include "rational.hpp"
namespace mmx {

void define_polynomial_generic ();

void
define_standard_symbolix () {
  define_symbolix<always,rational> ();
  define_polynomial_generic ();
}

} // namespace mmx

void (*define_symbolix) (void)= mmx::define_standard_symbolix;
