
/******************************************************************************
* MODULE     : basix_glue.cpp
* DESCRIPTION: basix glue library
* COPYRIGHT  : (C) 2006  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "glue.hpp"
namespace mmx {

void define_int ();
void define_double ();
void define_string ();
void define_compound ();
void define_generic ();
void define_standard_list ();
void define_standard_table ();
void define_simple ();

void
define_standard_basix () {
  define_int ();
  define_double ();
  define_string ();
  define_compound ();
  define_generic ();
  define_standard_list ();
  define_standard_table ();
  define_simple ();
}

} // namespace mmx

void (*define_basix) (void)= mmx::define_standard_basix;
