<TeXmacs|1.0.4.7>

<style|mmxdoc>

<\body>
  <tmweb-current|Home|Download><tmdoc-title*|CVS for <value|mmx> and
  <value|mml>|<mmxweb-main-links>>

  <value|mmx> and <value|mml> are currently developed using
  <hlink|CVS|http://www.cvshome.org/> (Concurrent Version Control). This
  allows you to

  <\itemize>
    <item><hlink|Browse|http://www.mathemagix.org/cgi-bin/cvsweb.cgi/> the
    <value|mmx> sources on the web and follow the recent changes.

    <item><hlink|Download|#checkout> the most recent, but unofficial
    development version.

    <item><hlink|Add your improvements|#commit> to the source code of
    <value|mmx>.
  </itemize>

  <vspace*|1fn><paragraph|Downloading the CVS version of <value|mmx> and
  <value|mml>><label|checkout>

  In order to download the current CVS version of <value|mmx>, you should set

  <\verbatim>
    \ \ \ \ export CVSROOT=:pserver:the_username@cvs.mathemagix.org:/mathemagix

    \ \ \ \ export CVS_RSH=ssh
  </verbatim>

  For read-only access, you should use <verbatim|anonymous> for
  <verbatim|the_username>. Now log in using

  <verbatim| \ \ \ cvs login>

  and checkout the source code using

  <\verbatim>
    \ \ \ \ cvs co mml

    \ \ \ \ cvs co mmx
  </verbatim>

  The <verbatim|mml> directory contains the sources for <value|mml> standard
  library and the <verbatim|mmx> directory the sources for the <value|mmx>
  interpreter.

  <vspace*|1fn><paragraph|Committing changes by CVS><label|commit>

  In order to commit changes by CVS, you first need an account on
  <verbatim|cvs.mathemagix.org>. This is done as follows:

  <\enumerate>
    <item>Choose a <verbatim|<em|username>> and a <verbatim|<em|password>>.

    <item>Encrypt your password by typing the following line in a shell:

    <verbatim| \ \ \ perl -e 'print crypt ("<em|password>","SAlt"), "\\n"'>

    <item>If <verbatim|<em|key>> is the encrypted password returned at step
    2, then <hyper-link|send us an email|../contact/contact.en.tm> with the
    line

    <verbatim| \ \ \ <em|username>:<em|key>>
  </enumerate>

  Alternatively, you may create the line <verbatim|<em|username>:<em|key>>
  using the web-interface at

  <verbatim| \ \ \ <hlink|http://www.cri74.org/services/crypt.php3|http://www.cri74.org/services/crypt.php3>>

  Please also tell us what kind of changes you plan to make, so that we can
  give you write-permissions to the appropriate parts of the CVS-tree.

  For users with a CVS account, we highly prefer you to use crypted access
  using <hlink|<name|ccvssh>|http://ccvssh.sourceforge.net/>. Besides
  installing <name|ccvssh>, if necessary, this requires you to set

  <\verbatim>
    \ \ \ \ export CVSROOT=:ext:the_username@cvs.mathemagix.org:/mathemagix

    \ \ \ \ export CVS_RSH=ccvssh
  </verbatim>

  <tmdoc-copyright|2005|Joris van der Hoeven>

  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
  document under the terms of the <hlink|GNU General Public
  License|http://www.gnu.org/licenses/gpl.txt>. If you don't have this file,
  write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.>
</body>