<TeXmacs|1.0.6.10>

<style|mmxdoc>

<\body>
  <tmweb-current|Home|Welcome><tmdoc-title*|Welcome to
  <value|mmx>|<mmxweb-main-links>>

  <value|mmx> is a free computer algebra system under development. It
  consists of a general purpose interpreter, which can be used for
  non-mathematical tasks as well, and several mathematical libraries. The
  program will use <hlink|GNU <TeXmacs>|http://www.texmacs.org> as its
  primary interface; this combination provides the user with a real
  scientific development, production and publication platform.

  As a language, <value|mmx> is imperative, strongly typed, high level.
  Furthermore, <value|mmx> can be used as an ``extension language'',
  <abbr|i.e.> it is easy to embed <value|mmx> into other applications and to
  extend <value|mmx> with existing libraries written in other languages like
  C or C++. An interesting feature is that this extension mechanism supports
  template types, which automatically induce generic types inside
  <value|mmx>.

  Even though <value|mmx> is currently interpreted, the language has been
  designed in such a way that it will be possible to write a compiler later
  on. In that case, all necessary type verifications can be done during the
  compilation phase. Moreover, <value|mmx> will provide powerful constructs
  for forcing the compiler to generate extremely fast code (comparable to the
  speed of C or C++).

  As to the mathematical libraries, our main priority is to write interfaces
  for as many existing libraries as possible. Beside that, we have started
  the development of several standard libraries for basic arithmetic on dense
  objects (numbers, polynomials, power series, matrices, <abbr|etc.>), based
  on FFT and other fast algorithms). We also intend to include support for
  effective analysis into <value|mml>. This should make <value|mmx>
  particularly suitable as a bridge between symbolic computation and
  numerical analysis or symbolic computation.

  At the moment, <value|mmx> is merely at the stage of a project, although
  the implementation of a prototype interpreter has already started (click
  <hlink|here|progress.en.tm> in order to see what has been done so far). If
  you are interested in <value|mmx>, then please <hlink|read|../index.en.tm>
  the documentation and/or <hlink|suscribe|ml.en.tm> to our developers
  mailing list. Indeed, we are still in a stage where the precise feautures
  and definition of the <value|mmx> language are being discussed, and we
  appreciate the participation of everyone interested in the development of
  high level languages.

  <tmdoc-copyright|2003|Joris van der Hoeven>

  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
  document under the terms of the <hlink|GNU General Public
  License|http://www.gnu.org/licenses/gpl.txt>. If you don't have this file,
  write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.>
</body>